#! /usr/bin/perl
# -
# Simple script to display hostname and IP address of the current host.
# Makes use of the gethostent() function.
# -
use strict;
use warnings;

my @hostEntry = gethostent();
my @addrsList = unpack('C4', $hostEntry[4]);

print "Hello $hostEntry[0]! Your address is  $addrsList[0].$addrsList[1].$addrsList[2].$addrsList[3]!\n";

exit(0);
