/*
Kholoud Khateeb, Craig Ward
CMSI 698, Internet Technologies
Homework Assignment 1, February 6, 2003
*/
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JComboBox;
import javax.swing.JPanel;
import java.net.Socket;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.awt.*;
import java.awt.event.*;
/**
 * Trivial client for the date server.
 */
public class DateClient {

    private static String request;
    private static String answer;
    private static Socket s;
    private static BufferedReader input;

    /**
     * Runs the client as an application.  First it displays a dialog
     * box asking for the IP address or hostname of a host running
     * the date server, then connects to it and displays the date that
     * it serves.
     */
    public static void main(String[] args) throws IOException {

        String serverAddress = JOptionPane.showInputDialog(
            "Enter IP Address of a machine that is\n" +
            "running the date service on port 9090:");
        s = new Socket(serverAddress, 9090);
        input = new BufferedReader(new InputStreamReader(s.getInputStream()));

	JFrame frame = new JFrame("Date Client");
	JComboBox c = new JComboBox();

	c.addItem("default");
	c.addItem("iso");
	c.addItem("epochrelative");
	c.addActionListener(new ActionListener() {
		public void actionPerformed(ActionEvent e) {
		    request = (String)((JComboBox)e.getSource()).getSelectedItem();
		    try {
			PrintWriter out = 
			    new PrintWriter(s.getOutputStream(), true);
			out.println(request);
			answer = input.readLine();
			JOptionPane.showMessageDialog(null, answer);
		    } catch (IOException ioe) {
			JOptionPane.showMessageDialog(null, ioe);
		    }
		    System.exit(0);
		}
	    });

	frame.getContentPane().add(c,"Center");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	frame.pack();
	frame.show();
	//        System.exit(0);
    }
}
